Subject: Re: [PATCH] wt-status: Don't find scissors line beyond buf len

From: Linus Arver <[email-masked]>
Date: Fri, 05 Apr 2024 18:37:29 -0700

Junio C Hamano <[email-masked]> writes:

> Florian Schmidt <[email-masked]> writes:
>
>> It seems sensible to expect that wt_status_locate_end() should honour
>> the length parameter passed in, and doing so fixes this issue.
>
> Thanks.  This is an ancient bug, not a retression from recent
> changes to the trailer library [linusa CC'ed to save him from
> wasting his time wondering if he broke anything].

Ack. Very much appreciated!

Also, sorry for not responding sooner --- my email search queries so far
were using "replied" as a condition so I only saw this just now while
searching for the "trailer" term.

Cheers